/*
   font_cardpunch.c - PostScript Type 3 Cardpunch font

   Author: Paul Hardy, August 2020

   Copyright (C) 2020 Paul Hardy

   LICENSE:

      This Font Software is licensed under the SIL Open Font License,
      Version 1.1.  This license is summarized below.  The full license
      is in the file SIL/OFL.txt in this deckmate package, and is also
      available with a FAQ at:

            http://scripts.sil.org/OFL
      
      
      -----------------------------------------------------------
      SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
      -----------------------------------------------------------
      
      PREAMBLE
      The goals of the Open Font License (OFL) are to stimulate worldwide
      development of collaborative font projects, to support the font creation
      efforts of academic and linguistic communities, and to provide a free and
      open framework in which fonts may be shared and improved in partnership
      with others.
      
      The OFL allows the licensed fonts to be used, studied, modified and
      redistributed freely as long as they are not sold by themselves. The
      fonts, including any derivative works, can be bundled, embedded, 
      redistributed and/or sold with any software provided that any reserved
      names are not used by derivative works. The fonts and derivatives,
      however, cannot be released under any other type of license. The
      requirement for fonts to remain under this license does not apply
      to any document created using the fonts or their derivatives.
      
      DISCLAIMER
      THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
      EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
      MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
      OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
      COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
      INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
      DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
      FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
      OTHER DEALINGS IN THE FONT SOFTWARE.
*/

#include <stdio.h>


void
font_cardpunch (FILE *outfp) {

   fprintf (outfp, "%%%%BeginFont: Cardpunch\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (Cardpunch) readonly def\n");
   fprintf (outfp, "    /FamilyName (Cardpunch) readonly def\n");
   fprintf (outfp, "    /Weight (Medium) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle 0 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 36 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /Cardpunch def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0 .001 0 0] def\n");
   fprintf (outfp, "  /FontType 3 def\n");
   fprintf (outfp, "  /LanguageLevel 1 def\n");
   fprintf (outfp, "  /FontBBox [0 -36 600 1000] def\n");
   fprintf (outfp, "  /PaintType 0 def\n");
   fprintf (outfp, "  /StrokeWidth 0 def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /r 36 def  %% Dot radius\n");
   fprintf (outfp, "  /d 72 def  %% Dot diameter\n");
   fprintf (outfp, "  /dot {r neg dup rmoveto d 0 rlineto 0 d rlineto d neg 0 rlineto closepath\n");
   fprintf (outfp, "    PaintType 2 eq {stroke} {fill} ifelse\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /Encoding 256 array def\n");
   fprintf (outfp, "  0 1 255 {Encoding exch /.notdef put} for\n");
   fprintf (outfp, "  Encoding\n");
   fprintf (outfp, "  dup 32 /space put\n");
   fprintf (outfp, "  dup 33 /exclam put\n");
   fprintf (outfp, "  dup 34 /quotedbl put\n");
   fprintf (outfp, "  dup 35 /numbersign put\n");
   fprintf (outfp, "  dup 36 /dollar put\n");
   fprintf (outfp, "  dup 37 /percent put\n");
   fprintf (outfp, "  dup 38 /ampersand put\n");
   fprintf (outfp, "  dup 39 /quoteright put\n");
   fprintf (outfp, "  dup 40 /parenleft put\n");
   fprintf (outfp, "  dup 41 /parenright put\n");
   fprintf (outfp, "  dup 42 /asterisk put\n");
   fprintf (outfp, "  dup 43 /plus put\n");
   fprintf (outfp, "  dup 44 /comma put\n");
   fprintf (outfp, "  dup 45 /hyphen put\n");
   fprintf (outfp, "  dup 46 /period put\n");
   fprintf (outfp, "  dup 47 /slash put\n");
   fprintf (outfp, "  dup 48 /zero put\n");
   fprintf (outfp, "  dup 49 /one put\n");
   fprintf (outfp, "  dup 50 /two put\n");
   fprintf (outfp, "  dup 51 /three put\n");
   fprintf (outfp, "  dup 52 /four put\n");
   fprintf (outfp, "  dup 53 /five put\n");
   fprintf (outfp, "  dup 54 /six put\n");
   fprintf (outfp, "  dup 55 /seven put\n");
   fprintf (outfp, "  dup 56 /eight put\n");
   fprintf (outfp, "  dup 57 /nine put\n");
   fprintf (outfp, "  dup 58 /colon put\n");
   fprintf (outfp, "  dup 59 /semicolon put\n");
   fprintf (outfp, "  dup 60 /less put\n");
   fprintf (outfp, "  dup 61 /equal put\n");
   fprintf (outfp, "  dup 62 /greater put\n");
   fprintf (outfp, "  dup 63 /question put\n");
   fprintf (outfp, "  dup 64 /at put\n");
   fprintf (outfp, "  dup 65 /A put\n");
   fprintf (outfp, "  dup 66 /B put\n");
   fprintf (outfp, "  dup 67 /C put\n");
   fprintf (outfp, "  dup 68 /D put\n");
   fprintf (outfp, "  dup 69 /E put\n");
   fprintf (outfp, "  dup 70 /F put\n");
   fprintf (outfp, "  dup 71 /G put\n");
   fprintf (outfp, "  dup 72 /H put\n");
   fprintf (outfp, "  dup 73 /I put\n");
   fprintf (outfp, "  dup 74 /J put\n");
   fprintf (outfp, "  dup 75 /K put\n");
   fprintf (outfp, "  dup 76 /L put\n");
   fprintf (outfp, "  dup 77 /M put\n");
   fprintf (outfp, "  dup 78 /N put\n");
   fprintf (outfp, "  dup 79 /O put\n");
   fprintf (outfp, "  dup 80 /P put\n");
   fprintf (outfp, "  dup 81 /Q put\n");
   fprintf (outfp, "  dup 82 /R put\n");
   fprintf (outfp, "  dup 83 /S put\n");
   fprintf (outfp, "  dup 84 /T put\n");
   fprintf (outfp, "  dup 85 /U put\n");
   fprintf (outfp, "  dup 86 /V put\n");
   fprintf (outfp, "  dup 87 /W put\n");
   fprintf (outfp, "  dup 88 /X put\n");
   fprintf (outfp, "  dup 89 /Y put\n");
   fprintf (outfp, "  dup 90 /Z put\n");
   fprintf (outfp, "  dup 91 /bracketleft put\n");
   fprintf (outfp, "  dup 92 /backslash put\n");
   fprintf (outfp, "  dup 93 /bracketright put\n");
   fprintf (outfp, "  dup 94 /asciicircum put\n");
   fprintf (outfp, "  dup 95 /underscore put\n");
   fprintf (outfp, "  dup 96 /quoteleft put\n");
   fprintf (outfp, "  dup 97 /a put\n");
   fprintf (outfp, "  dup 98 /b put\n");
   fprintf (outfp, "  dup 99 /c put\n");
   fprintf (outfp, "  dup 100 /d put\n");
   fprintf (outfp, "  dup 101 /e put\n");
   fprintf (outfp, "  dup 102 /f put\n");
   fprintf (outfp, "  dup 103 /g put\n");
   fprintf (outfp, "  dup 104 /h put\n");
   fprintf (outfp, "  dup 105 /i put\n");
   fprintf (outfp, "  dup 106 /j put\n");
   fprintf (outfp, "  dup 107 /k put\n");
   fprintf (outfp, "  dup 108 /l put\n");
   fprintf (outfp, "  dup 109 /m put\n");
   fprintf (outfp, "  dup 110 /n put\n");
   fprintf (outfp, "  dup 111 /o put\n");
   fprintf (outfp, "  dup 112 /p put\n");
   fprintf (outfp, "  dup 113 /q put\n");
   fprintf (outfp, "  dup 114 /r put\n");
   fprintf (outfp, "  dup 115 /s put\n");
   fprintf (outfp, "  dup 116 /t put\n");
   fprintf (outfp, "  dup 117 /u put\n");
   fprintf (outfp, "  dup 118 /v put\n");
   fprintf (outfp, "  dup 119 /w put\n");
   fprintf (outfp, "  dup 120 /x put\n");
   fprintf (outfp, "  dup 121 /y put\n");
   fprintf (outfp, "  dup 122 /z put\n");
   fprintf (outfp, "  dup 123 /braceleft put\n");
   fprintf (outfp, "  dup 124 /bar put\n");
   fprintf (outfp, "  dup 125 /braceright put\n");
   fprintf (outfp, "  dup 126 /asciitilde put\n");
   fprintf (outfp, "  dup 162 /cent put\n");
   fprintf (outfp, "  dup 178 /dagger put\n");
   fprintf (outfp, "  dup 179 /daggerdbl put\n");
   fprintf (outfp, "      216 /logicalnot put\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /CharWidth 600 def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /CharProcs 100 dict def\n");
   fprintf (outfp, "  CharProcs begin\n");
   fprintf (outfp, "    /.notdef { } def\n");
   fprintf (outfp, "    /space { } def\n");
   fprintf (outfp, "    /exclam { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /quotedbl { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /numbersign { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /dollar { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot 388 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 196  96 moveto dot 292  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /percent { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 196 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /ampersand { newpath\n");
   fprintf (outfp, "      196 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 292 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 292 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /quoteright { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /parenleft { newpath\n");
   fprintf (outfp, "      388 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /parenright { newpath\n");
   fprintf (outfp, "      196 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      388 288 moveto dot\n");
   fprintf (outfp, "      388 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /asterisk { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 292 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /plus { newpath\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot 388 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /comma { newpath\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /hyphen { newpath\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /period { newpath\n");
   fprintf (outfp, "      196  96 moveto dot 292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /slash { newpath\n");
   fprintf (outfp, "      484 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /zero { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 388 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /one { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /two { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /three { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      484 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /four { newpath\n");
   fprintf (outfp, "      388 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      388  96 moveto dot\n");
   fprintf (outfp, "      388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /five { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      484 288 moveto dot\n");
   fprintf (outfp, "      484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /six { newpath\n");
   fprintf (outfp, "      292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /seven { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      484 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /eight { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /nine { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 388 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      484 192 moveto dot\n");
   fprintf (outfp, "      388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /colon { newpath\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 292  96 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /semicolon { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /less { newpath\n");
   fprintf (outfp, "      388 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /equal { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /greater { newpath\n");
   fprintf (outfp, "      100 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      388 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /question { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /at { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 292  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /A { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /B { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /C { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /D { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /E { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /F { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /G { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 388 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /H { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot 388 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /I { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /J { newpath\n");
   fprintf (outfp, "      484 576 moveto dot\n");
   fprintf (outfp, "      484 480 moveto dot\n");
   fprintf (outfp, "      484 384 moveto dot\n");
   fprintf (outfp, "      484 288 moveto dot\n");
   fprintf (outfp, "      484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /K { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 292 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /L { newpath\n");
   fprintf (outfp, "      100 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /M { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 196 480 moveto dot 388 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 292 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 292 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /N { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 196 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 292 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 388 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /O { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /P { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /Q { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /R { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot 292 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /S { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      388 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /T { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /U { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /V { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 388 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /W { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 196  96 moveto dot 388  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /X { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 388 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /Y { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /Z { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot 292 576 moveto dot 388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      484 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /bracketleft { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /backslash { newpath\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      388 192 moveto dot\n");
   fprintf (outfp, "      484  96 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /bracketright { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      388 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "      388 288 moveto dot\n");
   fprintf (outfp, "      388 192 moveto dot\n");
   fprintf (outfp, "      388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /asciicircum { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /underscore { newpath\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /quoteleft { newpath\n");
   fprintf (outfp, "      196 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      388 384 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /a { newpath\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      484 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /b { newpath\n");
   fprintf (outfp, "      100 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /c { newpath\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /d { newpath\n");
   fprintf (outfp, "      484 576 moveto dot\n");
   fprintf (outfp, "      484 480 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /e { newpath\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /f { newpath\n");
   fprintf (outfp, "      292 576 moveto dot 388 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /g { newpath\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /h { newpath\n");
   fprintf (outfp, "      100 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /i { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /j { newpath\n");
   fprintf (outfp, "      388 576 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      388 288 moveto dot\n");
   fprintf (outfp, "      388 192 moveto dot\n");
   fprintf (outfp, "      388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /k { newpath\n");
   fprintf (outfp, "      100 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 292 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 292  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /l { newpath\n");
   fprintf (outfp, "      196 576 moveto dot 292 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /m { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 292 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 292  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 292   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /n { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /o { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /p { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /q { newpath\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /r { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /s { newpath\n");
   fprintf (outfp, "      196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot 388 192 moveto dot\n");
   fprintf (outfp, "      484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /t { newpath\n");
   fprintf (outfp, "      196 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /u { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /v { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /w { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot 292 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 196  96 moveto dot 388  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /x { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      196 288 moveto dot 388 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /y { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      484  96 moveto dot\n");
   fprintf (outfp, "      196   0 moveto dot 292   0 moveto dot 388   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /z { newpath\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      484 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot 292   0 moveto dot 388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /braceleft { newpath\n");
   fprintf (outfp, "      388 576 moveto dot 484 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot 196 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      388   0 moveto dot 484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /bar { newpath\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /braceright { newpath\n");
   fprintf (outfp, "      100 576 moveto dot 196 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      388 288 moveto dot 484 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      100   0 moveto dot 196   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /asciitilde { newpath\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      484  96 moveto dot\n");
   fprintf (outfp, "      484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /cent { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      196 480 moveto dot 292 480 moveto dot 388 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot\n");
   fprintf (outfp, "      100 288 moveto dot\n");
   fprintf (outfp, "      100 192 moveto dot\n");
   fprintf (outfp, "      196  96 moveto dot 292  96 moveto dot 388  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /dagger { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      292 480 moveto dot\n");
   fprintf (outfp, "      100 384 moveto dot 196 384 moveto dot 292 384 moveto dot 388 384 moveto dot 484 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      292  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /daggerdbl { newpath\n");
   fprintf (outfp, "      292 576 moveto dot\n");
   fprintf (outfp, "      100 480 moveto dot 196 480 moveto dot 292 480 moveto dot 388 480 moveto dot 484 480 moveto dot\n");
   fprintf (outfp, "      292 384 moveto dot\n");
   fprintf (outfp, "      292 288 moveto dot\n");
   fprintf (outfp, "      292 192 moveto dot\n");
   fprintf (outfp, "      100  96 moveto dot 196  96 moveto dot 292  96 moveto dot 388  96 moveto dot 484  96 moveto dot\n");
   fprintf (outfp, "      292   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /logicalnot { newpath\n");
   fprintf (outfp, "      100 192 moveto dot 196 192 moveto dot 292 192 moveto dot 388 192 moveto dot 484 192 moveto dot\n");
   fprintf (outfp, "      484  96 moveto dot\n");
   fprintf (outfp, "      484   0 moveto dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "  end\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /Centers 100 dict def  %% Dot center coordinates\n");
   fprintf (outfp, "  Centers begin\n");
   fprintf (outfp, "    /.notdef [0 0 0 0] def\n");
   fprintf (outfp, "    /space [0 0 0 0] def\n");
   fprintf (outfp, "    /exclam [292 0 292 576] def\n");
   fprintf (outfp, "    /quotedbl [196 384 388 576] def\n");
   fprintf (outfp, "    /numbersign [100 0 484 576] def\n");
   fprintf (outfp, "    /dollar [100 0 484 576] def\n");
   fprintf (outfp, "    /percent [100 0 484 576] def\n");
   fprintf (outfp, "    /ampersand [100 0 484 576] def\n");
   fprintf (outfp, "    /quoteright [196 384 292 576] def\n");
   fprintf (outfp, "    /parenleft [196 0 388 576] def\n");
   fprintf (outfp, "    /parenright [196 0 388 576] def\n");
   fprintf (outfp, "    /asterisk [100 192 484 576] def\n");
   fprintf (outfp, "    /plus [100 96 484 480] def\n");
   fprintf (outfp, "    /comma [196 0 292 288] def\n");
   fprintf (outfp, "    /hyphen [100 192 484 192] def\n");
   fprintf (outfp, "    /period [196 0 292 96] def\n");
   fprintf (outfp, "    /slash [100 96 484 480] def\n");
   fprintf (outfp, "    /zero [100 0 388 576] def\n");
   fprintf (outfp, "    /one [196 0 388 576] def\n");
   fprintf (outfp, "    /two [100 0 484 576] def\n");
   fprintf (outfp, "    /three [100 0 484 576] def\n");
   fprintf (outfp, "    /four [100 0 484 576] def\n");
   fprintf (outfp, "    /five [100 0 484 576] def\n");
   fprintf (outfp, "    /six [100 0 484 576] def\n");
   fprintf (outfp, "    /seven [100 0 484 576] def\n");
   fprintf (outfp, "    /eight [100 0 484 576] def\n");
   fprintf (outfp, "    /nine [100 0 484 576] def\n");
   fprintf (outfp, "    /colon [196 96 292 480] def\n");
   fprintf (outfp, "    /semicolon [196 0 292 576] def\n");
   fprintf (outfp, "    /less [100 0 388 576] def\n");
   fprintf (outfp, "    /equal [100 192 484 384] def\n");
   fprintf (outfp, "    /greater [100 0 388 576] def\n");
   fprintf (outfp, "    /question [100 0 388 576] def\n");
   fprintf (outfp, "    /at [100 0 484 576] def\n");
   fprintf (outfp, "    /A [100 0 484 576] def\n");
   fprintf (outfp, "    /B [100 0 484 576] def\n");
   fprintf (outfp, "    /C [100 0 484 576] def\n");
   fprintf (outfp, "    /D [100 0 484 576] def\n");
   fprintf (outfp, "    /E [100 0 484 576] def\n");
   fprintf (outfp, "    /F [100 0 484 576] def\n");
   fprintf (outfp, "    /G [100 0 484 576] def\n");
   fprintf (outfp, "    /H [100 0 484 576] def\n");
   fprintf (outfp, "    /I [196 0 388 576] def\n");
   fprintf (outfp, "    /J [100 0 484 576] def\n");
   fprintf (outfp, "    /K [100 0 484 576] def\n");
   fprintf (outfp, "    /L [100 0 484 576] def\n");
   fprintf (outfp, "    /M [100 0 484 576] def\n");
   fprintf (outfp, "    /N [100 0 484 576] def\n");
   fprintf (outfp, "    /O [100 0 484 576] def\n");
   fprintf (outfp, "    /P [100 0 484 576] def\n");
   fprintf (outfp, "    /Q [100 0 484 576] def\n");
   fprintf (outfp, "    /R [100 0 484 576] def\n");
   fprintf (outfp, "    /S [100 0 484 576] def\n");
   fprintf (outfp, "    /T [100 0 484 576] def\n");
   fprintf (outfp, "    /U [100 0 484 576] def\n");
   fprintf (outfp, "    /V [100 0 484 576] def\n");
   fprintf (outfp, "    /W [100 0 484 576] def\n");
   fprintf (outfp, "    /X [100 0 484 576] def\n");
   fprintf (outfp, "    /Y [100 0 484 576] def\n");
   fprintf (outfp, "    /Z [100 0 484 576] def\n");
   fprintf (outfp, "    /bracketleft [196 0 388 576] def\n");
   fprintf (outfp, "    /backslash [100 96 484 480] def\n");
   fprintf (outfp, "    /bracketright [196 0 388 576] def\n");
   fprintf (outfp, "    /asciicircum [100 384 484 576] def\n");
   fprintf (outfp, "    /underscore [100 0 484 0] def\n");
   fprintf (outfp, "    /quoteleft [196 384 388 576] def\n");
   fprintf (outfp, "    /a [100 0 484 384] def\n");
   fprintf (outfp, "    /b [100 0 484 576] def\n");
   fprintf (outfp, "    /c [100 0 484 384] def\n");
   fprintf (outfp, "    /d [100 0 484 576] def\n");
   fprintf (outfp, "    /e [100 0 484 384] def\n");
   fprintf (outfp, "    /f [100 0 484 576] def\n");
   fprintf (outfp, "    /g [100 0 484 384] def\n");
   fprintf (outfp, "    /h [100 0 484 576] def\n");
   fprintf (outfp, "    /i [196 0 388 576] def\n");
   fprintf (outfp, "    /j [196 0 388 576] def\n");
   fprintf (outfp, "    /k [100 0 388 576] def\n");
   fprintf (outfp, "    /l [196 0 388 576] def\n");
   fprintf (outfp, "    /m [100 0 484 384] def\n");
   fprintf (outfp, "    /n [100 0 484 384] def\n");
   fprintf (outfp, "    /o [100 0 484 384] def\n");
   fprintf (outfp, "    /p [100 0 484 384] def\n");
   fprintf (outfp, "    /q [100 0 484 384] def\n");
   fprintf (outfp, "    /r [100 0 484 384] def\n");
   fprintf (outfp, "    /s [100 0 484 384] def\n");
   fprintf (outfp, "    /t [100 0 484 576] def\n");
   fprintf (outfp, "    /u [100 0 484 384] def\n");
   fprintf (outfp, "    /v [100 0 484 384] def\n");
   fprintf (outfp, "    /w [100 0 484 384] def\n");
   fprintf (outfp, "    /x [100 0 484 384] def\n");
   fprintf (outfp, "    /y [100 0 484 384] def\n");
   fprintf (outfp, "    /z [100 0 484 384] def\n");
   fprintf (outfp, "    /braceleft [100 0 484 576] def\n");
   fprintf (outfp, "    /bar [292 96 292 480] def\n");
   fprintf (outfp, "    /braceright [100 0 484 576] def\n");
   fprintf (outfp, "    /asciitilde [100 0 484 192] def\n");
   fprintf (outfp, "    /cent [100 0 388 576] def\n");
   fprintf (outfp, "    /dagger [100 0 484 576] def\n");
   fprintf (outfp, "    /daggerdbl [100 0 484 576] def\n");
   fprintf (outfp, "    /logicalnot [100 0 484 192] def\n");
   fprintf (outfp, "  end\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  %% BuildChar is for PostScript Level 1 compatibility.\n");
   fprintf (outfp, "  %% PostScript Level 2 and above call BuildGlyph directly.\n");
   fprintf (outfp, "  /BuildChar {  %% stack: font charcode\n");
   fprintf (outfp, "    1 index /Encoding get exch get  %% get charname from charcode\n");
   fprintf (outfp, "    1 index /BuildGlyph get exec\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, " \n");
   fprintf (outfp, "  /BuildGlyph {  %% stack: font charname\n");
   fprintf (outfp, "    /charname exch def\n");
   fprintf (outfp, "    /fontdict exch def\n");
   fprintf (outfp, "    fontdict begin\n");
   fprintf (outfp, "      PaintType 2 eq { StrokeWidth setlinewidth } if\n");
   fprintf (outfp, "      CharWidth 0\n");
   fprintf (outfp, "      Centers charname get aload pop  %% get center coordinate range of all pixels\n");
   fprintf (outfp, "      charname /.notdef ne charname /space ne and {\n");
   fprintf (outfp, "        4 -1 roll r sub 4 -1 roll r sub  %% Lower left-hand corner\n");
   fprintf (outfp, "        4 -1 roll r add 4 -1 roll r add  %% Upper right-hand corner\n");
   fprintf (outfp, "      } if\n");
   fprintf (outfp, "      setcachedevice\n");
   fprintf (outfp, "      CharProcs charname\n");
   fprintf (outfp, "        2 copy known not {pop /.notdef} if\n");
   fprintf (outfp, "      get exec\n");
   fprintf (outfp, "    end\n");
   fprintf (outfp, "  } def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/Cardpunch exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");
   fprintf (outfp, "%%%%BeginFont: Cardpunch-Bold\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (Cardpunch-Bold) readonly def\n");
   fprintf (outfp, "    /FamilyName (Cardpunch) readonly def\n");
   fprintf (outfp, "    /Weight (Bold) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle 0 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 84 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /Cardpunch-Bold def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0 .001 0 0] def\n");
   fprintf (outfp, "  /FontType 3 def\n");
   fprintf (outfp, "  /LanguageLevel 1 def\n");
   fprintf (outfp, "  /FontBBox [0 0 600 1000] def\n");
   fprintf (outfp, "  /PaintType 0 def\n");
   fprintf (outfp, "  /StrokeWidth 0 def\n");
   fprintf (outfp, "  /r 42 def  %% Dot radius\n");
   fprintf (outfp, "  /d 84 def  %% Dot diameter\n");
   fprintf (outfp, "  /dot {r neg dup rmoveto d 0 rlineto 0 d rlineto d neg 0 rlineto closepath\n");
   fprintf (outfp, "    PaintType 2 eq {stroke} {fill} ifelse\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /CharWidth 600 def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  %% Copy the long tables from Cardpunch base font.\n");
   fprintf (outfp, "  /Cardpunch findfont\n");
   fprintf (outfp, "  dup /Encoding  get /Encoding  exch def\n");
   fprintf (outfp, "  dup /CharProcs get /CharProcs exch def\n");
   fprintf (outfp, "      /Centers   get /Centers   exch def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  %% BuildChar is for PostScript Level 1 compatibility.\n");
   fprintf (outfp, "  %% PostScript Level 2 and above call BuildGlyph directly.\n");
   fprintf (outfp, "  /BuildChar {  %% stack: font charcode\n");
   fprintf (outfp, "    1 index /Encoding get exch get  %% get charname from charcode\n");
   fprintf (outfp, "    1 index /BuildGlyph get exec\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, " \n");
   fprintf (outfp, "  /BuildGlyph {  %% stack: font charname\n");
   fprintf (outfp, "    /charname exch def\n");
   fprintf (outfp, "    /fontdict exch def\n");
   fprintf (outfp, "    fontdict begin\n");
   fprintf (outfp, "      PaintType 2 eq { StrokeWidth setlinewidth } if\n");
   fprintf (outfp, "      CharWidth 0\n");
   fprintf (outfp, "      Centers charname get aload pop  %% get center coordinate range of all pixels\n");
   fprintf (outfp, "      charname /.notdef ne charname /space ne and {\n");
   fprintf (outfp, "        4 -1 roll r sub 4 -1 roll r sub\n");
   fprintf (outfp, "        4 -1 roll r add 4 -1 roll r add\n");
   fprintf (outfp, "      } if\n");
   fprintf (outfp, "      setcachedevice\n");
   fprintf (outfp, "      CharProcs charname\n");
   fprintf (outfp, "        2 copy known not {pop /.notdef} if\n");
   fprintf (outfp, "      get exec\n");
   fprintf (outfp, "    end\n");
   fprintf (outfp, "  } def\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/Cardpunch-Bold exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");
   fprintf (outfp, "%%%%BeginFont: Cardpunch-Oblique\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (Cardpunch-Oblique) readonly def\n");
   fprintf (outfp, "    /FamilyName (Cardpunch) readonly def\n");
   fprintf (outfp, "    /Weight (Medium) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle -12.000000 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 84 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /Cardpunch-Oblique def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0.000208 .001 0 0] def\n");
   fprintf (outfp, "  %% Copy the long tables from Cardpunch base font.\n");
   fprintf (outfp, "  /Cardpunch findfont\n");
   fprintf (outfp, "  dup /FontType      get /FontType      exch def\n");
   fprintf (outfp, "  dup /LanguageLevel get /LanguageLevel exch def\n");
   fprintf (outfp, "  dup /FontBBox      get /FontBBox      exch def\n");
   fprintf (outfp, "  dup /PaintType     get /PaintType     exch def\n");
   fprintf (outfp, "  dup /StrokeWidth   get /StrokeWidth   exch def\n");
   fprintf (outfp, "  dup /r             get /r             exch def\n");
   fprintf (outfp, "  dup /d             get /d             exch def\n");
   fprintf (outfp, "  dup /dot           get /dot           exch def\n");
   fprintf (outfp, "  dup /CharWidth     get /CharWidth     exch def\n");
   fprintf (outfp, "  dup /Encoding      get /Encoding      exch def\n");
   fprintf (outfp, "  dup /CharProcs     get /CharProcs     exch def\n");
   fprintf (outfp, "  dup /Centers       get /Centers       exch def\n");
   fprintf (outfp, "  dup /BuildChar     get /BuildChar     exch def\n");
   fprintf (outfp, "      /BuildGlyph    get /BuildGlyph    exch def\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/Cardpunch-Oblique exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");
   fprintf (outfp, "%%%%BeginFont: Cardpunch-BoldOblique\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (Cardpunch-BoldOblique) readonly def\n");
   fprintf (outfp, "    /FamilyName (Cardpunch) readonly def\n");
   fprintf (outfp, "    /Weight (Bold) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle -12.000000 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 84 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /Cardpunch-BoldOblique def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0.000208 .001 0 0] def\n");
   fprintf (outfp, "  %% Copy the long tables from Cardpunch-Bold font.\n");
   fprintf (outfp, "  /Cardpunch-Bold findfont\n");
   fprintf (outfp, "  dup /FontType      get /FontType      exch def\n");
   fprintf (outfp, "  dup /LanguageLevel get /LanguageLevel exch def\n");
   fprintf (outfp, "  dup /FontBBox      get /FontBBox      exch def\n");
   fprintf (outfp, "  dup /PaintType     get /PaintType     exch def\n");
   fprintf (outfp, "  dup /StrokeWidth   get /StrokeWidth   exch def\n");
   fprintf (outfp, "  dup /r             get /r             exch def\n");
   fprintf (outfp, "  dup /d             get /d             exch def\n");
   fprintf (outfp, "  dup /dot           get /dot           exch def\n");
   fprintf (outfp, "  dup /CharWidth     get /CharWidth     exch def\n");
   fprintf (outfp, "  dup /Encoding      get /Encoding      exch def\n");
   fprintf (outfp, "  dup /CharProcs     get /CharProcs     exch def\n");
   fprintf (outfp, "  dup /Centers       get /Centers       exch def\n");
   fprintf (outfp, "  dup /BuildChar     get /BuildChar     exch def\n");
   fprintf (outfp, "      /BuildGlyph    get /BuildGlyph    exch def\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/Cardpunch-BoldOblique exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");

   return;
}

